package com.aucma.report.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.aucma.report.mapper.ReportRepairMeasuresMapper;
import com.aucma.report.domain.ReportRepairMeasures;
import com.aucma.report.service.IReportRepairMeasuresService;

/**
 * 返修措施维护Service业务层处理
 * 
 * @author Yinq
 * @date 2023-11-21
 */
@Service
public class ReportRepairMeasuresServiceImpl implements IReportRepairMeasuresService 
{
    @Autowired
    private ReportRepairMeasuresMapper reportRepairMeasuresMapper;

    /**
     * 查询返修措施维护
     * 
     * @param objId 返修措施维护主键
     * @return 返修措施维护
     */
    @Override
    public ReportRepairMeasures selectReportRepairMeasuresByObjId(Long objId)
    {
        return reportRepairMeasuresMapper.selectReportRepairMeasuresByObjId(objId);
    }

    /**
     * 查询返修措施维护列表
     * 
     * @param reportRepairMeasures 返修措施维护
     * @return 返修措施维护
     */
    @Override
    public List<ReportRepairMeasures> selectReportRepairMeasuresList(ReportRepairMeasures reportRepairMeasures)
    {
        return reportRepairMeasuresMapper.selectReportRepairMeasuresList(reportRepairMeasures);
    }

    /**
     * 新增返修措施维护
     * 
     * @param reportRepairMeasures 返修措施维护
     * @return 结果
     */
    @Override
    public int insertReportRepairMeasures(ReportRepairMeasures reportRepairMeasures)
    {
        return reportRepairMeasuresMapper.insertReportRepairMeasures(reportRepairMeasures);
    }

    /**
     * 修改返修措施维护
     * 
     * @param reportRepairMeasures 返修措施维护
     * @return 结果
     */
    @Override
    public int updateReportRepairMeasures(ReportRepairMeasures reportRepairMeasures)
    {
        return reportRepairMeasuresMapper.updateReportRepairMeasures(reportRepairMeasures);
    }

    /**
     * 批量删除返修措施维护
     * 
     * @param objIds 需要删除的返修措施维护主键
     * @return 结果
     */
    @Override
    public int deleteReportRepairMeasuresByObjIds(Long[] objIds)
    {
        return reportRepairMeasuresMapper.deleteReportRepairMeasuresByObjIds(objIds);
    }

    /**
     * 删除返修措施维护信息
     * 
     * @param objId 返修措施维护主键
     * @return 结果
     */
    @Override
    public int deleteReportRepairMeasuresByObjId(Long objId)
    {
        return reportRepairMeasuresMapper.deleteReportRepairMeasuresByObjId(objId);
    }
}
